## mlt 6.0.0

=== src/framework/Makefile ===
include ../../config.mak
include config.mak

NAME = libmlt$(LIBSUF)
TARGET = $(NAME).$(version)

ifeq ($(targetos), Darwin)
NAME = libmlt$(LIBSUF)
TARGET = libmlt.$(version)$(LIBSUF)
SONAME = libmlt.$(soversion)$(LIBSUF)
SHFLAGS += -install_name $(libdir)/$(SONAME) -current_version $(version) -compatibility_version $(soversion)
else ifeq ($(targetos), MinGW)
NAME = libmlt$(LIBSUF)
TARGET = libmlt-$(soversion)$(LIBSUF)
SHFLAGS += -Wl,--output-def,libmlt.def
else
NAME = libmlt$(LIBSUF)
TARGET = $(NAME).$(version)
SONAME = $(NAME).$(soversion)
SHFLAGS += -Wl,-soname,$(SONAME)
endif

ifeq ($(targetos), Linux)
SHFLAGS += -Wl,--version-script=mlt.vers
endif

OBJS = mlt_frame.o \
	   mlt_version.o \
	   mlt_geometry.o \
	   mlt_deque.o \
	   mlt_property.o \
	   mlt_properties.o \
	   mlt_events.o \
	   mlt_parser.o \
	   mlt_service.o \
	   mlt_producer.o \
	   mlt_multitrack.o \
	   mlt_playlist.o \
	   mlt_consumer.o \
	   mlt_filter.o \
	   mlt_transition.o \
	   mlt_field.o \
	   mlt_tractor.o \
	   mlt_factory.o \
	   mlt_repository.o \
	   mlt_pool.o \
	   mlt_tokeniser.o \
	   mlt_profile.o \
	   mlt_log.o \
	   mlt_cache.o \
	   mlt_animation.o

INCS = mlt_consumer.h \
	   mlt_version.h \
	   mlt_factory.h \
	   mlt_filter.h \
	   mlt.h \
	   mlt_multitrack.h \
	   mlt_pool.h \
	   mlt_properties.h \
	   mlt_events.h \
	   mlt_parser.h \
	   mlt_repository.h \
	   mlt_tractor.h \
	   mlt_types.h \
	   mlt_deque.h \
	   mlt_field.h \
	   mlt_frame.h \
	   mlt_geometry.h \
	   mlt_playlist.h \
	   mlt_producer.h \
	   mlt_property.h \
	   mlt_service.h  \
	   mlt_transition.h \
	   mlt_tokeniser.h \
	   mlt_profile.h \
	   mlt_log.h \
	   mlt_cache.h \
	   mlt_animation.h

SRCS := $(OBJS:.o=.c)

ifeq ($(targetos), MinGW)
LDFLAGS += -liconv
OBJS += ../win32/win32.o
SRCS += ../win32/win32.c
endif

CFLAGS += $(RDYNAMIC) -DPREFIX_DATA="\"$(mltdatadir)\"" -DPREFIX_LIB="\"$(moduledir)\""

LDFLAGS += $(LIBDL) -lpthread -lm

all:	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)
		ln -sf $(TARGET) $(NAME)
		if [ "$(targetos)" != "MinGW" ]; then \
			ln -sf $(TARGET) $(SONAME) ; \
		fi

depend:	$(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET) $(NAME) $(SONAME)

install:
	install -d $(DESTDIR)$(libdir)
	if [ "$(targetos)" = "MinGW" ]; then \
		install -m 755 $(TARGET) $(DESTDIR)$(prefix) ; \
		install -m 755 $(TARGET) $(DESTDIR)$(libdir)/libmlt.dll ; \
		install -m 644 libmlt.def $(DESTDIR)$(libdir) ; \
	else \
		install -m 755 $(TARGET) $(DESTDIR)$(libdir) ; \
		ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(SONAME) ; \
		ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(NAME) ; \
	fi
	install -d "$(DESTDIR)$(prefix)/include/mlt/framework"
	install -m 644 $(INCS) "$(DESTDIR)$(prefix)/include/mlt/framework"
	install -d "$(DESTDIR)$(mltdatadir)"
	install -m 644 metaschema.yaml "$(DESTDIR)$(mltdatadir)"

uninstall:
	rm -f "$(DESTDIR)$(libdir)/$(TARGET)"
	if [ "$(targetos)" != "MinGW" ]; then \
		rm -f "$(DESTDIR)$(libdir)/$(SONAME)" ; \
		rm -f "$(DESTDIR)$(libdir)/$(NAME)" ; \
	fi
	rm -rf "$(DESTDIR)$(prefix)/include/mlt/framework"
	rm -f "$(DESTDIR)$(mltdatadir)/metaschema.yaml"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/melt/Makefile ===
include ../../config.mak

OBJS = melt.o \
	   io.o

CFLAGS += -I.. $(RDYNAMIC) -DVERSION=\"$(version)\"

LDFLAGS += -L../framework -lmlt -lpthread

SRCS := $(OBJS:.o=.c)

ifeq ($(targetos), MinGW)
ifeq (, $(findstring MELT_NOSDL, $(CFLAGS)))
CFLAGS += $(shell sdl-config --cflags)
LDFLAGS += $(shell sdl-config --libs)
endif
bindir = $(prefix)
endif

all: $(meltname)

$(meltname): $(OBJS)
		$(CC) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(meltname)

install:	all
	install -d "$(DESTDIR)$(bindir)"
	install -c -m 755 $(meltname) "$(DESTDIR)$(bindir)"
ifeq ($(extra_versioning), true)
ifeq ($(melt_noversion), false)
	ln -s $(meltname) "$(DESTDIR)$(bindir)/melt"
endif
endif

uninstall:
	rm -f "$(DESTDIR)$(bindir)/$(meltname)"
ifeq ($(extra_versioning), true)
ifeq ($(melt_noversion), false)
	rm -f "$(DESTDIR)$(bindir)/melt"
endif
endif

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/mlt++/Makefile ===
include ../../config.mak
include config.mak
INSTALL = install

ifeq ($(targetos), Darwin)
NAME = libmlt++$(LIBSUF)
TARGET = libmlt++.$(version)$(LIBSUF)
SONAME = libmlt++.$(soversion)$(LIBSUF)
LIBFLAGS += -install_name $(libdir)/$(SONAME) -current_version $(version) -compatibility_version $(soversion)
else ifeq ($(targetos), MinGW)
NAME = libmlt++$(LIBSUF)
TARGET = libmlt++-$(soversion)$(LIBSUF)
CXXFLAGS += -DMLTPP_EXPORTS
LIBFLAGS += -Wl,--output-def,libmlt++.def
else
NAME = libmlt++$(LIBSUF)
TARGET = $(NAME).$(version)
SONAME = $(NAME).$(soversion)
LIBFLAGS += -Wl,-soname,$(SONAME)
endif

CXXFLAGS += -I.. $(RDYNAMIC) -DVERSION=\"$(version)\" -fvisibility=hidden

LDFLAGS += -L../framework -lmlt
ifeq ($(targetos), Linux)
LDFLAGS += -Wl,--version-script=mlt++.vers
endif

OBJS = MltAnimation.o \
	   MltConsumer.o \
	   MltDeque.o \
	   MltEvent.o \
	   MltFactory.o \
	   MltField.o \
	   MltFilter.o \
	   MltFilteredConsumer.o \
	   MltFilteredProducer.o \
	   MltFrame.o \
	   MltGeometry.o \
	   MltMultitrack.o \
	   MltParser.o \
	   MltPlaylist.o \
	   MltProducer.o \
	   MltProfile.o \
	   MltProperties.o \
	   MltPushConsumer.o \
	   MltRepository.o \
	   MltService.o \
	   MltTokeniser.o \
	   MltTractor.o \
	   MltTransition.o

SRCS = $(OBJS:.o=.cpp)
HEADERS = config.h Mlt.h $(OBJS:.o=.h)

all:		$(TARGET)

$(TARGET):	$(OBJS)
	$(CXX) $(LIBFLAGS) -o $@ $(OBJS) $(LDFLAGS)
	ln -sf $(TARGET) $(NAME)
	if [ "$(targetos)" != "MinGW" ]; then \
		ln -sf $(TARGET) $(SONAME) ; \
	fi

depend:	$(SRCS)
	$(CXX) -MM $(CXXFLAGS) $^ 1>.depend

clean:
	$(RM) $(OBJS) $(TARGET) $(NAME) $(SONAME)

distclean:	clean

install:
	$(INSTALL) -d "$(DESTDIR)$(libdir)"
	if [ "$(targetos)" = "MinGW" ]; then \
		$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(prefix) ; \
		$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(libdir)/libmlt++.dll ; \
		$(INSTALL) -m 644 libmlt++.def $(DESTDIR)$(libdir) ; \
	else \
		$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(libdir) ; \
		ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(SONAME) ; \
		ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(NAME) ; \
	fi
	$(INSTALL) -d "$(DESTDIR)$(prefix)/include/mlt++"
	$(INSTALL) -m 644 $(HEADERS) "$(DESTDIR)$(prefix)/include/mlt++"

uninstall:
	rm -f "$(DESTDIR)$(libdir)/$(TARGET)"
	if [ "$(targetos)" != "MinGW" ]; then \
		rm -f "$(DESTDIR)$(libdir)/$(NAME)" ; \
		rm -f "$(DESTDIR)$(libdir)/$(SONAME)" ; \
	fi
	rm -rf "$(DESTDIR)$(prefix)/include/mlt++"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/Makefile ===
include ../../config.mak
include make.inc

all clean depend:
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		if [ -f $$subdir/Makefile -a ! -f disable-$$subdir -a ! -f $$subdir/deprecated ] ; \
		then $(MAKE) -C $$subdir $@ || exit 1; \
		fi \
	done

distclean:
	rm -f consumers.dat filters.dat producers.dat transitions.dat make.inc; \
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		if [ -f $$subdir/Makefile -a ! -f disable-$$subdir -a ! -f $$subdir/deprecated ] ; \
		then $(MAKE) -C $$subdir $@ || exit 1; \
		fi \
	done

install:
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		if [ -f $$subdir/Makefile -a ! -f disable-$$subdir -a ! -f $$subdir/deprecated ] ; \
		then $(MAKE) DESTDIR=$(DESTDIR) -C $$subdir $@ || exit 1; \
		fi \
	done

uninstall:
	rm -rf "$(DESTDIR)$(moduledir)"

=== src/modules/avformat/Makefile ===
CFLAGS += -I../..
LDFLAGS += -L../../framework -lmlt -lpthread -lm

include ../../../config.mak
include config.mak

LDFLAGS += $(EXTRA_LIBS)

ifndef CODECS
TARGET = ../libmltffmpeg$(LIBSUF)
else
TARGET = ../libmltavformat$(LIBSUF)
endif

OBJS = factory.o

ifdef FILTERS
OBJS += filter_avcolour_space.o \
	    filter_avresample.o \
	    filter_avdeinterlace.o \
	    filter_swscale.o
CFLAGS += -DFILTERS
endif

ifdef VDPAU
CFLAGS += -DVDPAU $(shell pkg-config pkg-config --cflags x11)
LDFLAGS += $(LIBDL) $(shell pkg-config pkg-config --libs x11)
endif

ifdef CODECS
OBJS += producer_avformat.o \
	    consumer_avformat.o
CFLAGS += -DCODECS
endif

ifdef DEVICES
CFLAGS += -DAVDEVICE
endif

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
	rm -f .depend

clean:	
	rm -f $(OBJS) ../libmltffmpeg$(LIBSUF) ../libmltavformat$(LIBSUF)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/avformat"
	install -m 644 producer_avformat.yml "$(DESTDIR)$(mltdatadir)/avformat"
	install -m 644 consumer_avformat.yml "$(DESTDIR)$(mltdatadir)/avformat"

uninstall:
	rm "$(DESTDIR)$(moduledir)/libmltavformat$(LIBSUF)" 2> /dev/null || true
	rm "$(DESTDIR)$(moduledir)/libmltffmpeg$(LIBSUF)" 2> /dev/null || true
	rm -rf "$(DESTDIR)$(mltdatadir)/avformat"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/decklink/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread

include ../../../config.mak

TARGET = ../libmltdecklink$(LIBSUF)

OBJS = consumer_decklink.o \
	producer_decklink.o \
	common.o

ifeq ($(targetos), MinGW)
CFLAGS += -Iwin
OBJS += win/DeckLinkAPI_i.o
LDFLAGS += -lole32 -loleaut32
else
ifeq ($(targetos), Darwin)
CFLAGS += -Idarwin
OBJS += darwin/DeckLinkAPIDispatch.o
else
CFLAGS += -Ilinux
OBJS += linux/DeckLinkAPIDispatch.o
endif
endif

SRCS := $(OBJS:.o=.cpp)

CXXFLAGS += $(CFLAGS) -Wno-deprecated -Wno-multichar -fno-rtti

LDFLAGS += $(LIBDL)

all: 	$(TARGET)
	
$(TARGET): $(OBJS)
		$(CXX) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CXX) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/decklink"
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/decklink"

uninstall:
	rm "$(DESTDIR)$(moduledir)/libmltdecklink$(LIBSUF)" 2> /dev/null || true
	rm -rf "$(DESTDIR)$(mltdatadir)/decklink"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/feeds/Makefile ===
include ../../../config.mak

all:	

depend:

distclean:

clean:

install:	all
	install -d "$(DESTDIR)$(mltdatadir)/feeds/PAL"
	install -d "$(DESTDIR)$(mltdatadir)/feeds/NTSC"
	install -m 644 PAL/*.* "$(DESTDIR)$(mltdatadir)/feeds/PAL"
	install -m 644 NTSC/*.* "$(DESTDIR)$(mltdatadir)/feeds/NTSC"

=== src/modules/jackrack/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread

include ../../../config.mak
include config.mak

TARGET = ../libmltjackrack$(LIBSUF)

GPL_OBJS = jack_rack.o \
	lock_free_fifo.o \
	plugin.o \
	plugin_desc.o \
	plugin_mgr.o \
	plugin_settings.o \
	process.o \
	producer_ladspa.o \
	filter_jackrack.o \
	filter_ladspa.o

OBJS = factory.o \
	   consumer_jack.o

CFLAGS += $(shell pkg-config --cflags jack)
LDFLAGS += $(shell pkg-config --libs jack)

ifdef GPL
OBJS += $(GPL_OBJS)
CFLAGS += -DGPL
CFLAGS += $(shell pkg-config --cflags libxml-2.0)
CFLAGS += $(shell pkg-config $(PKGCONFIG_PREFIX) --cflags glib-2.0)

LDFLAGS += $(LIBDL)
LDFLAGS += $(shell pkg-config --libs libxml-2.0)
LDFLAGS += $(shell pkg-config $(PKGCONFIG_PREFIX) --libs glib-2.0)
LDFLAGS += -lm

YML_FILES = *.yml
BLACKLIST = blacklist.txt
else
YML_FILES = consumer_jack.yml
BLACKLIST = dummy
endif

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/jackrack"
	install -m 644 $(YML_FILES) "$(DESTDIR)$(mltdatadir)/jackrack"
	[ -f $(BLACKLIST) ] && install -m 644 $(BLACKLIST) "$(DESTDIR)$(mltdatadir)/jackrack" || true

uninstall:
	rm "$(DESTDIR)$(moduledir)/libmltjackrack$(LIBSUF)" 2> /dev/null || true
	rm -rf "$(DESTDIR)$(mltdatadir)/jackrack"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/kino/Makefile ===
include ../../../config.mak
include config.mak

CFLAGS := -I../../ $(CFLAGS)
CXXFLAGS := $(CFLAGS) -Wno-deprecated $(CXXFLAGS)

LDFLAGS := -L../../framework -lmlt -lpthread $(LDFLAGS)

TARGET = ../libmltkino.so

OBJS = factory.o producer_kino.o
CPPOBJS = kino_wrapper.o avi.o error.o filehandler.o riff.o

LDFLAGS += -lstdc++

ifdef HAVE_LIBQUICKTIME
CFLAGS += `pkg-config --cflags libquicktime` 
CXXFLAGS += `pkg-config --cflags libquicktime` 
LDFLAGS += `pkg-config --libs libquicktime`
endif

ifdef HAVE_LIBDV
CFLAGS += `pkg-config --cflags libdv`
LDFLAGS += `pkg-config --libs libdv`
endif


SRCS := $(OBJS:.o=.c) $(CPPOBJS:.o=.cc)

all: 	$(TARGET)

$(TARGET): $(OBJS) $(CPPOBJS)
		$(CXX) -shared -o $@ $(OBJS) $(CPPOBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend config.h config.mak

clean:	
		rm -f $(OBJS) $(TARGET) $(CPPOBJS)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/opengl/Makefile ===
include ../../../config.mak

CFLAGS := -I../.. $(CFLAGS)

LDFLAGS := -L../../framework -lmlt -lm $(LDFLAGS)

TARGET = ../libmltopengl$(LIBSUF)

OBJS = factory.o

CPPOBJS = filter_glsl_manager.o
CPPOBJS += filter_movit_blur.o
CPPOBJS += filter_movit_convert.o
CPPOBJS += filter_movit_crop.o
CPPOBJS += filter_movit_deconvolution_sharpen.o
CPPOBJS += filter_movit_diffusion.o
CPPOBJS += filter_movit_glow.o
CPPOBJS += filter_movit_lift_gamma_gain.o
CPPOBJS += filter_movit_mirror.o
CPPOBJS += filter_movit_opacity.o
CPPOBJS += filter_movit_rect.o
CPPOBJS += filter_movit_resample.o
CPPOBJS += filter_movit_resize.o
CPPOBJS += filter_movit_saturation.o
CPPOBJS += filter_movit_vignette.o
CPPOBJS += filter_movit_white_balance.o
CPPOBJS += mlt_movit_input.o
CPPOBJS += transition_movit_luma.o
CPPOBJS += transition_movit_mix.o
CPPOBJS += transition_movit_overlay.o

CXXFLAGS := -Wno-deprecated $(CFLAGS) $(CXXFLAGS)
CXXFLAGS += $(shell pkg-config --cflags movit 2> /dev/null)

SHADERDIR = $(shell pkg-config --variable=shaderdir movit)
CXXFLAGS += -DSHADERDIR=\"$(SHADERDIR)\"

LDFLAGS += -L../../mlt++ -lmlt++

ifeq ($(targetos), MinGW)
	CXXFLAGS += $(shell pkg-config --cflags movit)
	LDFLAGS += $(shell pkg-config --libs movit) -lopengl32 -lpthread
else
	LDFLAGS += $(shell pkg-config --libs movit 2> /dev/null)
ifeq ($(targetos), Darwin)
	CXXFLAGS += -FOpenGL
	LDFLAGS += -lpthread -framework OpenGL
else
	OBJS += consumer_xgl.o
	LDFLAGS += -lpthread -lGL -lX11
endif
endif

SRCS := $(OBJS:.o=.c) $(CPPOBJS:.o=.cpp)

all: $(TARGET)

$(TARGET): $(OBJS) $(CPPOBJS)
		$(CXX) $(SHFLAGS) -o $@ $(OBJS) $(CPPOBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CXX) -MM $(CXXFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend config.h config.mak

clean:	
		rm -f $(OBJS) $(TARGET) $(CPPOBJS)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/opengl/movit"
	install -m 644 *.yml "$(DESTDIR)$(datadir)/mlt/opengl"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/plus/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lm -lpthread

include ../../../config.mak
include config.mak

TARGET = ../libmltplus$(LIBSUF)

OBJS = consumer_blipflash.o \
	   factory.o \
	   filter_affine.o \
	   filter_charcoal.o \
	   filter_dynamictext.o \
	   filter_invert.o \
	   filter_lift_gamma_gain.o \
	   filter_loudness.o \
	   filter_lumakey.o \
	   filter_rgblut.o \
	   filter_sepia.o \
	   producer_blipflash.o \
	   producer_count.o \
	   transition_affine.o \
	   ebur128/ebur128.o

ifdef USE_FFTW
	OBJS += filter_dance.o \
	   filter_fft.o
endif

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET) 

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/plus"
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/plus"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/qt/Makefile ===
include ../../../config.mak
include config.mak

CFLAGS := -I../.. $(CFLAGS)

LDFLAGS := -L../../framework -lmlt -lpthread -lm -L../../mlt++ -lmlt++ $(LDFLAGS)

TARGET = ../libmltqt$(LIBSUF)

OBJS = factory.o producer_qimage.o producer_kdenlivetitle.o
CPPOBJS = common.o \
	graph.o \
	filter_audiowaveform.o \
	qimage_wrapper.o \
	kdenlivetitle_wrapper.o \
	producer_qtext.o

ifdef USE_QT_OPENGL
	CPPOBJS += consumer_qglsl.o
	CFLAGS += -DUSE_QT_OPENGL
endif

ifdef GPL3
	CPPOBJS += transition_vqm.o
	CFLAGS += -DGPL3
endif

ifdef USE_FFTW
	CPPOBJS += filter_lightshow.o \
		filter_audiospectrum.o
	CFLAGS += -DUSE_FFTW
endif

ifneq ($(targetos), Darwin)
ifneq ($(targetos), MinGW)
    LDFLAGS += -lX11
endif
endif

CXXFLAGS := $(QTCXXFLAGS) $(CXXFLAGS) $(CFLAGS) $(EXIFCXXFLAGS) $(KDECXXFLAGS) -Wno-deprecated

LDFLAGS += $(QTLIBS) $(EXIFLIBS) $(KDELIBS)

SRCS := $(OBJS:.o=.c) $(CPPOBJS:.o=.cpp)

all: 	$(TARGET)

$(TARGET): $(OBJS) $(CPPOBJS)
		$(CXX) $(SHFLAGS) -o $@ $(OBJS) $(CPPOBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CXX) -MM $(CXXFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend config.h config.mak

clean:	
		rm -f $(OBJS) $(TARGET) $(CPPOBJS)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/qt"
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/qt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
mlt (6.0.0-2) unstable; urgency=medium

  * Enable all hardening flags except of PIE, which produces a FTBFS.
  * Overwrite false positive lintian warning hardening-no-bindnow for
    python-mlt package.
  * Add patch 01-empty-directory to fix installation of an empty directory.
  * Add experimental patch 02-kfreebsd-ftbfs to fix a FTBFS on kfreebsd.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 18 Feb 2016 20:30:54 +0100

mlt (6.0.0-1) unstable; urgency=medium

  * New upstream release.
    - Remove merged patch 01-mlt_ffmpeg-2.9.
  * Bump Standards-Version to 3.9.7 (no changes required).
  * Add new build dependencies on libexif-dev, libexif-gtk-dev, libmovit-dev
    and libfftw3-dev to enable new features.
  * Fix spelling error in debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 18 Feb 2016 10:03:56 +0100

mlt (0.9.8-3) unstable; urgency=high

  * Add upstream patch 01-mlt_ffmpeg-2.9 to fix a FTBFS with newer FFmpeg
    releases.
    Closes: #803841

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 05 Nov 2015 14:30:57 +0100

mlt (0.9.8-2) unstable; urgency=medium

  * Correct build dependencies.
    Closes: #801284

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 12 Oct 2015 15:54:01 +0200

=== debian/control ===
Source: mlt
Priority: optional
Maintainer: Fathi Boudra <fabo@debian.org>
Uploaders: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 9),
 ffmpeg,
 libqt5opengl5-dev,
 libqt5svg5-dev,
 ladspa-sdk,
 libavdevice-dev,
 libavformat-dev,
 libdv4-dev,
 libgtk2.0-dev,
 libexif-dev,
 libexif-gtk-dev,
 libmovit-dev,
 libfftw3-dev,
 libjack-dev,
 libquicktime-dev [!hurd-i386],
 libsamplerate-dev,
 libsdl1.2-dev,
 libsox-dev (>= 14.3.0),
 libswscale-dev,
 libvorbis-dev,
 libxine2-dev,
 libxml2-dev,
 imagemagick,
 frei0r-plugins-dev,
 swig,
 dh-python,
 python-all-dev (>= 2.6.6-3~)
Standards-Version: 3.9.7
Section: libs
Homepage: http://www.mltframework.org

Package: libmlt-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libmlt6 (= ${binary:Version})
Description: multimedia framework (development)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the static libraries and headers for developing
 applications that use the MLT multimedia framework.

Package: libmlt6
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: libmlt-data (>= ${source:Version})
Conflicts: libmlt0.2,
 libmlt0.2.5,
 libmlt1,
 libmlt2,
 libmlt3,
 libmlt4,
 libmlt5
Replaces: libmlt0.2,
 libmlt0.2.5,
 libmlt1,
 libmlt2,
 libmlt3,
 libmlt4,
 libmlt5
Description: multimedia framework (runtime)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the files necessary for running applications that
 use the MLT multimedia framework.

Package: libmlt-data
Architecture: all
Depends: ${misc:Depends}
Enhances: libmlt6
Description: multimedia framework (data)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the data files for the MLT multimedia framework.

Package: libmlt++-dev
Section: libdevel
Architecture: any
Depends: libmlt++3 (= ${binary:Version}),
 ${misc:Depends}
Description: MLT multimedia framework C++ wrapper (development)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the static libraries and headers for developing
 applications that use the MLT multimedia framework C++ wrapper.

Package: libmlt++3
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libmlt++0.2,
 libmlt++2
Replaces: libmlt++0.2,
 libmlt++2
Description: MLT multimedia framework C++ wrapper (runtime)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the files necessary for running applications that
 use the MLT multimedia framework C++ wrapper.

Package: libmlt-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libmlt6 (= ${binary:Version}),
 libmlt++3 (= ${binary:Version})
Description: multimedia framework (debugging symbols)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the debugging symbols for libmlt++ and libmlt

Package: melt
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libmlt-data (>= ${source:Version})
Description: command line media player and video editor
 melt was meant as a test tool for the MLT framework, but it is also a powerful
 multitrack command line oriented video editor. It could also used as an
 minimalistic media player for audio and video files.

Package: python-mlt
Architecture: any
Section: python
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Conflicts: python-mlt2,
 python-mlt3,
 python-mlt5
Replaces: python-mlt2,
 python-mlt3,
 python-mlt5
Description: multimedia framework (Python bindings)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the Python bindings for the mlt package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

# Enable MMX and SSE on amd64 architecture
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "amd64"))
	EXTRA_CONFIGURE_OPTS += --enable-mmx --enable-sse
else
	EXTRA_CONFIGURE_OPTS += --disable-mmx --disable-sse --disable-sse2
endif

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-gpl \
	--enable-gpl3 \
	--enable-motion_est \
	$(EXTRA_CONFIGURE_OPTS) \
	--avformat-shared=/usr \
	--swig-languages=python \
	--qimage-libdir=/usr/lib \
	--disable-rtaudio \
	--disable-swfdec

PYTHON_DIR := usr/lib/$(shell pyversions -d)/dist-packages

%:
	dh $@ --with python2

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_clean:
	[ ! -f config.mak ] || $(MAKE) distclean
	rm -f config.log *.pc src/modules/gtk2/config.h packages.dat src/modules/make.inc
	find \( -name '*.o' -o -name '*.mak' -o -name '.depend' \) -delete

override_dh_install:
	mkdir -p debian/python-mlt/$(PYTHON_DIR)
	install -m 644 src/swig/python/mlt.py debian/python-mlt/$(PYTHON_DIR)/mlt.py
	install -m 644 src/swig/python/_mlt.so debian/python-mlt/$(PYTHON_DIR)/_mlt.so
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=libmlt-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_python2:
	dh_python2 --no-guessing-versions

## mlt 6.2.0

=== debian/changelog ===
mlt (6.2.0-1build2) yakkety; urgency=medium

  * No change rebuild

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 10 Aug 2016 10:30:48 +0300

mlt (6.2.0-1build1) yakkety; urgency=medium

  * No-change rebuild for ffmpeg soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 May 2016 21:30:18 +0000

mlt (6.2.0-1) unstable; urgency=medium

  * New upstream release.
    - Remove merged patch 01-empty-directory.
    - Remove merged patch 02-kfreebsd-ftbfs.
  * Build against external rtaudio.
    Closes: #816340
  * Adjust path to queue.h in debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 21 Apr 2016 10:50:42 +0200

mlt (6.0.0-3) unstable; urgency=high

  * Adopt 02-kfreebsd-ftbfs patch from upstream.
    Closes: #815501

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 25 Feb 2016 10:26:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: mlt
 Priority: optional
-Maintainer: Fathi Boudra <fabo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Fathi Boudra <fabo@debian.org>
 Uploaders: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper (>= 9),
  ffmpeg,
@@ -24,6 +25,7 @@
  libvorbis-dev,
  libxine2-dev,
  libxml2-dev,
+ librtaudio-dev,
  imagemagick,
  frei0r-plugins-dev,
  swig,

## mlt 6.4.0

=== src/melt/Makefile ===
--- 
+++ 
@@ -11,8 +11,13 @@
 
 ifeq ($(targetos), MinGW)
 ifeq (, $(findstring MELT_NOSDL, $(CFLAGS)))
-CFLAGS += $(shell sdl-config --cflags)
+ifeq (, $(shell pkg-config --exists sdl))
+CFLAGS += $(shell  sdl-config --cflags)
 LDFLAGS += $(shell sdl-config --libs)
+else
+CFLAGS += $(shell  pkg-config --cflags sdl)
+LDFLAGS += $(shell pkg-config --libs sdl)
+endif
 endif
 bindir = $(prefix)
 endif

=== src/mlt++/Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 	   MltTransition.o
 
 SRCS = $(OBJS:.o=.cpp)
-HEADERS = config.h Mlt.h $(OBJS:.o=.h)
+HEADERS = MltConfig.h Mlt.h $(OBJS:.o=.h)
 
 all:		$(TARGET)

=== src/modules/avformat/Makefile ===
--- 
+++ 
@@ -37,6 +37,11 @@
 CFLAGS += -DAVDEVICE
 endif
 
+ifdef AVFILTER
+CFLAGS += -DAVFILTER
+OBJS += filter_avfilter.o
+endif
+
 SRCS := $(OBJS:.o=.c)
 
 all: 	$(TARGET)
@@ -56,6 +61,7 @@
 install: all
 	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
 	install -d "$(DESTDIR)$(mltdatadir)/avformat"
+	install -m 644 blacklist.txt "$(DESTDIR)$(mltdatadir)/avformat"
 	install -m 644 producer_avformat.yml "$(DESTDIR)$(mltdatadir)/avformat"
 	install -m 644 consumer_avformat.yml "$(DESTDIR)$(mltdatadir)/avformat"

=== src/modules/ndi/Makefile ===
CFLAGS += -fPIC -I../.. -Wno-deprecated -Wno-multichar
LDFLAGS += -L../../framework -lmlt -lpthread

include ../../../config.mak
include config.mak

TARGET = ../libmltndi$(LIBSUF)

OBJS = factory.o consumer_ndi.o producer_ndi.o

SRCS := $(OBJS:.o=.c)

LDFLAGS += $(LIBDL)

all: 	$(TARGET)
	
$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/ndi"
#	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/ndi"

uninstall:
	rm "$(DESTDIR)$(moduledir)/libmltndi$(LIBSUF)" 2> /dev/null || true
	rm -rf "$(DESTDIR)$(mltdatadir)/ndi"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/opengl/Makefile ===
--- 
+++ 
@@ -69,7 +69,7 @@
 
 install: all
 	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
-	install -d "$(DESTDIR)$(datadir)/mlt/opengl/movit"
+	install -d "$(DESTDIR)$(datadir)/mlt/opengl"
 	install -m 644 *.yml "$(DESTDIR)$(datadir)/mlt/opengl"
 
 ifneq ($(wildcard .depend),)

=== src/modules/plus/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS += -I../..
+CFLAGS += -I../.. -Iebur128/queue
 
 LDFLAGS += -L../../framework -lmlt -lm -lpthread
 
@@ -12,9 +12,11 @@
 	   filter_affine.o \
 	   filter_charcoal.o \
 	   filter_dynamictext.o \
+	   filter_dynamic_loudness.o \
 	   filter_invert.o \
 	   filter_lift_gamma_gain.o \
 	   filter_loudness.o \
+	   filter_loudness_meter.o \
 	   filter_lumakey.o \
 	   filter_rgblut.o \
 	   filter_sepia.o \

=== src/modules/qt/Makefile ===
--- 
+++ 
@@ -13,7 +13,9 @@
 	filter_audiowaveform.o \
 	qimage_wrapper.o \
 	kdenlivetitle_wrapper.o \
-	producer_qtext.o
+	producer_qtext.o \
+	transition_qtblend.o \
+	filter_qtblend.o
 
 ifdef USE_QT_OPENGL
 	CPPOBJS += consumer_qglsl.o

=== src/modules/rtaudio/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread

include ../../../config.mak

include config.mak

TARGET = ../libmltrtaudio$(LIBSUF)

OBJS = consumer_rtaudio.o

SRCS := $(OBJS:.o=.cpp)

CXXFLAGS += $(CFLAGS) -Wno-deprecated -Wno-multichar -fno-rtti

ifdef USE_INTERNAL_RTAUDIO
OBJS += RtAudio.o
ifeq ($(targetos), Darwin)
CXXFLAGS += -D__MACOSX_CORE__
LDFLAGS += -framework CoreAudio -framework CoreFoundation
else ifeq ($(targetos), MinGW)
CXXFLAGS += -D__WINDOWS_DS__
LDFLAGS += -lole32 -ldsound -lwinmm
# For ASIO when ready to try that:
#OBJS += asio.o asiodrivers.o asiolist.o iasiothiscallresolver.o
#CXXFLAGS +=-D__WINDOWS_ASIO__
else ifeq ($(targetos), Linux)
CXXFLAGS += -D__LINUX_ALSA__
CXXFLAGS += $(shell pkg-config --cflags alsa)
LDFLAGS += $(shell pkg-config --libs alsa)
CXXFLAGS += -D__LINUX_PULSE__
CXXFLAGS += $(shell pkg-config --cflags libpulse libpulse-simple)
LDFLAGS += $(shell pkg-config --libs libpulse libpulse-simple)
else ifeq ($(targetos), NetBSD)
CXXFLAGS += -D__LINUX_OSS__
LDFLAGS += -lossaudio
else # FreeBSD
CXXFLAGS += -D__LINUX_OSS__
endif
endif # USE_INTERNAL_RTAUDIO

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CXX) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CXX) -MM $(CXXFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/rtaudio"
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/rtaudio"

uninstall:
	rm "$(DESTDIR)$(moduledir)/libmltrtaudio$(LIBSUF)" 2> /dev/null || true
	rm -rf "$(DESTDIR)$(mltdatadir)/rtaudio"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/sdl/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread -lm

include ../../../config.mak

include config.mak

TARGET = ../libmltsdl$(LIBSUF)

OBJS = factory.o \
	   consumer_sdl.o \
	   consumer_sdl_audio.o \
	   consumer_sdl_preview.o \
	   consumer_sdl_still.o 

ifeq ($(targetos),Darwin)
CFLAGS += -ObjC
LDFLAGS += -lobjc -framework Foundation
else ifneq ($(targetos), MinGW)
LDFLAGS += -lX11
endif

ifeq ($(USE_PKG_CONFIG), 1)
CFLAGS += $(shell pkg-config --cflags sdl)
LDFLAGS += $(shell pkg-config --libs sdl)
else
CFLAGS += $(shell sdl-config --cflags)
LDFLAGS += $(shell sdl-config --libs)
endif

ifeq ($(WITH_SDL_IMAGE),1)
OBJS += producer_sdl_image.o
CFLAGS += -DWITH_SDL_IMAGE
LDFLAGS += -lSDL_image
endif

SRCS := $(OBJS:.o=.c)
ifeq ($(targetos),Darwin)
OBJS += consumer_sdl_osx.o
SRCS += consumer_sdl_osx.m consumer_sdl_osx.h
endif

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/sdl"
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/sdl"

ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
mlt (6.4.0-1) unstable; urgency=medium

  * New upstream release.
    - Fixes crash on loading second LADSPA plugin.
      Closes: #839660
  * Bump Standards-Version to 3.9.8 (no changes required).
  * Set myself as maintainer and Fabo as uploader.
  * Adjust hardening lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 13 Nov 2016 19:20:45 +0100

## mlt 6.4.1

=== Makefile ===
SUBDIRS = src/framework \
		  src/mlt++ \
		  src/melt \
		  src/modules \
		  src/swig \
		  profiles

all clean:
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) -s -C $$subdir depend || exit 1; \
		$(MAKE) -C $$subdir $@ || exit 1; \
	done

distclean:
	rm mlt-config packages.dat; \
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) -C $$subdir $@ || exit 1; \
	done; \
	rm config.mak;

dist-clean: distclean

include config.mak

install:
	install -d "$(DESTDIR)$(prefix)/bin"
	install -d "$(DESTDIR)$(prefix)/include"
	install -d "$(DESTDIR)$(libdir)"
	install -d "$(DESTDIR)$(moduledir)"
ifeq ($(extra_versioning), true)
	ln -s "$(moduledir)" "$(DESTDIR)$(unversionedmoduledir)"
endif
	install -d "$(DESTDIR)$(libdir)/pkgconfig"
	install -d "$(DESTDIR)$(mltdatadir)"
ifeq ($(extra_versioning), true)
	ln -s "$(mltdatadir)" "$(DESTDIR)$(unversionedmltdatadir)"
endif
	install -c -m 644 *.pc "$(DESTDIR)$(libdir)/pkgconfig"
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) DESTDIR=$(DESTDIR) -C $$subdir $@ || exit 1; \
	done
	cp -R presets "$(DESTDIR)$(mltdatadir)"

uninstall:
	rm -f "$(DESTDIR)$(bindir)"/mlt-config
	rm -f "$(DESTDIR)$(libdir)"/pkgconfig/mlt-framework.pc
	rm -f "$(DESTDIR)$(libdir)"/pkgconfig/mlt++.pc
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) DESTDIR=$(DESTDIR) -C $$subdir $@ || exit 1; \
	done
	rm -rf "$(DESTDIR)$(prefix)/include/mlt"
	rm -rf "$(DESTDIR)$(mltdatadir)"
ifeq ($(compat_dirs), true)
	rm -rf "$(DESTDIR)$(prefix)/share/mlt"
endif

dist:
	git archive --format=tar --prefix=mlt-$(version)/ v$(version) | gzip >mlt-$(version).tar.gz

validate-yml:
	for file in $$(find src/modules -type f -name \*.yml); do \
		echo "validate: $$file"; \
		kwalify -f src/framework/metaschema.yaml $$file || exit 1; \
	done

=== src/framework/Makefile ===
--- 
+++ 
@@ -48,7 +48,8 @@
 	   mlt_profile.o \
 	   mlt_log.o \
 	   mlt_cache.o \
-	   mlt_animation.o
+	   mlt_animation.o \
+	   mlt_slices.o
 
 INCS = mlt_consumer.h \
 	   mlt_version.h \
@@ -76,7 +77,8 @@
 	   mlt_profile.h \
 	   mlt_log.h \
 	   mlt_cache.h \
-	   mlt_animation.h
+	   mlt_animation.h \
+	   mlt_slices.h
 
 SRCS := $(OBJS:.o=.c)

=== src/modules/vorbis/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt

include ../../../config.mak

TARGET = ../libmltvorbis$(LIBSUF)

OBJS = factory.o \
	   producer_vorbis.o

CFLAGS += $(shell pkg-config --cflags vorbis)
CFLAGS += $(shell pkg-config --cflags vorbisfile)

LDFLAGS += $(shell pkg-config --libs vorbis)
LDFLAGS += $(shell pkg-config --libs vorbisfile)

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET) 

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/vorbis"
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/vorbis"

ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
mlt (6.4.1-4build1) artful; urgency=medium

  * No-change rebuild against libmovit6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Jun 2017 08:26:01 +0000

mlt (6.4.1-4) unstable; urgency=low

  * Remove dependency on libquicktime.
    Closes: #856235
  * Enable PIE again. melt does not FTBFS anymore with enabled PIE.
    Closes: #859427

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 03 Apr 2017 19:46:02 +0200

mlt (6.4.1-3) unstable; urgency=low

  * Add patch 03-use-external-libebur and build depend on libebur128-dev to use
    the system version of libebur128.
    Closes: #762341

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 22 Feb 2017 10:33:16 +0100

mlt (6.4.1-2) unstable; urgency=low

  * Add upstream patch 01-crash-affine to fix a crash in affine due to relaxed
    constraints.
  * Add upstream patch 02-crash-clipinfo-update to fix a crash in kdenlive when
    a clip has no resource.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 07 Feb 2017 13:13:57 +0100

mlt (6.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 17 Nov 2016 15:30:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: mlt
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Fathi Boudra <fabo@debian.org>
-Uploaders: Patrick Matthäi <pmatthaei@debian.org>
+XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Uploaders: Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 9),
  ffmpeg,
  libqt5opengl5-dev,
@@ -17,7 +17,6 @@
  libmovit-dev,
  libfftw3-dev,
  libjack-dev,
- libquicktime-dev [!hurd-i386],
  libsamplerate-dev,
  libsdl1.2-dev,
  libsox-dev (>= 14.3.0),
@@ -29,9 +28,10 @@
  imagemagick,
  frei0r-plugins-dev,
  swig,
+ libebur128-dev (>= 1.2.0-2),
  dh-python,
  python-all-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://www.mltframework.org

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 # Enable MMX and SSE on amd64 architecture
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "amd64"))
@@ -17,7 +17,6 @@
 	--avformat-shared=/usr \
 	--swig-languages=python \
 	--qimage-libdir=/usr/lib \
-	--disable-rtaudio \
 	--disable-swfdec
 
 PYTHON_DIR := usr/lib/$(shell pyversions -d)/dist-packages
